kdcsetup(1)

NAME
kdcsetup - Kerberos - Open Directory Single Sign On

SYNOPSIS
kdcsetup [-v debug_level] [-a admin_name] [-p password] REALM

DESCRIPTION
kdcsetup is a tool for configuring an Apple Open Directory KDC. It creates the needed Kerberos files and data for an Open Director master.

-v debug_level
    Controls the amount of output generated by kdcsetup. 0 prints errors and very basic information. 1 prints generatal status information. Higher levels may add progressively more detail.

-a admin_name
    Name of a directory administrator authorized to make changes in Open Directory. This admin will be used as the administrator in the KDC database. Required parameter. Note: this is not a principal name.

-p password
    The password for the above admin. Required parameter.

REALM
    The name of the realm that this KDC serves. Required parameter.

FILES
/var/db/krb5kdc/
    directory where all the config & database files for the KDC are stored
/var/log/krb5kdc/
    directory where the log files from the KDC are written

NOTES
kdcsetup is automatically run when creating an Open Directory Master. It should NEVER be run manually and will likely be deprecated in the future.

SEE ALSO
kadmind(8), kdc(8), kerberos(8), krbservicesetup(8), opendirectoryd(8), sso_util(8)